Bug 120863 - Paragraph pattern not saved (blue on file-opening); see comment 3
Summary: Paragraph pattern not saved (blue on file-opening); see comment 3
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: implementationError
Depends on:
Blocks: Area-Fill-Tab
  Show dependency treegraph
 
Reported: 2018-10-24 09:45 UTC by Telesto
Modified: 2022-08-18 03:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (77.82 KB, application/vnd.oasis.opendocument.text)
2018-10-24 09:45 UTC, Telesto
Details
Example file (77.34 KB, application/vnd.oasis.opendocument.text)
2018-10-24 09:47 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-10-24 09:45:21 UTC
Description:
Pattern created with LibO6.2 shows up blue in older versions of LibO

Steps to Reproduce:
1. Open the attached file in LibO 6.0 & in Libo6.2

Actual Results:
Pattern in LibO6.2. Blue in 6.0

Expected Results:
Pattern


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha1+
Build ID: 0378bfcea51ff0f379d0954aa6740f1829909dc3
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-24_00:14:48
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 Telesto 2018-10-24 09:45:39 UTC Comment hidden (me-too)
Comment 2 Telesto 2018-10-24 09:47:47 UTC
Created attachment 145964 [details]
Example file

Proper file
Comment 3 Telesto 2018-10-24 09:58:55 UTC
STR

1. Open Writer
2. Insert some Ipsum Lorem
3. CTRL+A & Format -> Paragraph -> Area tab -> Pattern Button
4. Select a pattern & Change the foreground color (seems fine with black)
5. Press OK
6. Save the file
7. Reload -> Blue
Comment 4 Telesto 2018-11-06 11:41:06 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2018-11-07 15:15:19 UTC Comment hidden (obsolete)
Comment 6 Telesto 2018-11-07 15:45:49 UTC
(In reply to Xisco Faulí from comment #5)
> I can't reproduce it in
> 
> Version: 6.2.0.0.alpha0+
> Build ID: b361413eef7e46f340d921708faca9986c63c9f8
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

Are your sure? Still able to reproduce.. Splitting the steps a little further: 

1. Open Writer
2. Hold enter (create a few paragraphs)
3. CTRL+A 
4. Format -> Paragraph -> Area tab -> Pattern Button
5. Select a pattern 
6. Change the foreground color to purple/ red/ green (seems fine with black)
5. Press OK
6. Save the file
7. Reload -> Blue


Version: 6.2.0.0.alpha1+
Build ID: 6896f39ffd8a6c4b32b8f601a6a93678247456bd
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-11-05_22:40:18
Locale: nl-NL (nl_NL); Calc: CL
Comment 7 Timur 2018-11-07 16:45:35 UTC
Repro blue after reopen in 6.0 and 6.2+ both Win and Lin. 
Doesn't look like regression, in 5.3 where pattern was introduced, color cannot be properly set. I'd say implementationError.
Comment 8 QA Administrators 2019-11-08 03:38:12 UTC Comment hidden (obsolete)
Comment 9 Thomas Lendo QA 2020-08-17 20:33:45 UTC
Still reproducible with
Version: 7.1.0.0.alpha0+
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: de-DE (de_DE.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-08-05_04:03:50
Calc: threaded
Comment 10 QA Administrators 2022-08-18 03:40:06 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug